Package org.eclipse.net4j.util.ui.widgets

# Class SashComposite.OrientationChangedEvent

java.lang.Object
java.util.EventObject
org.eclipse.net4j.util.event.Event
org.eclipse.net4j.util.ui.widgets.SashComposite.OrientationChangedEvent

All Implemented Interfaces:
  `Serializable`, `IEvent`

Enclosing class:
  `SashComposite`

public class SashComposite.OrientationChangedEvent extends Event

Since:
  2.0
Author:
  Eike Stepper
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`OrientationChangedEvent(boolean vertical)`

## Method Summary

Modifier and Type
Method
Description
`SashComposite`
`getSource()`
`boolean`
`isVertical()`

### Methods inherited from class org.eclipse.net4j.util.event.Event

`formatAdditionalParameters, formatEventName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OrientationChangedEvent

public OrientationChangedEvent(boolean vertical)

## Method Details

### getSource

public SashComposite getSource()

Specified by:
  `getSource` in interface `IEvent`
Overrides:
  `getSource` in class `Event`

### isVertical

public boolean isVertical()